/* style.css */


/*
This file has concatenated the CSS from these deprecated files:
    test_json.css
    unlimited_reverse.css 
    search.css 


*/

 

/* Start with all simple headers/body font size and colors*/
*{font-family: 'Lucida Grande', sans-serif; box-sizing: border-box;}
h1 {font-size: 32px;}
h3 {font-size: 24px;}
h1,h4,h5,h6,h7,p {text-align: center;}
body {background: #fff;}

.image-wrapper{text-align: center;}
#tipple-icon{cursor: pointer;}

.wrong{background-color: #FEA69D}
.correct{background-color: #90FF90}

td { padding: 1px 2px; }
/* p5 specific css, may need additional tweaks */
#cocktail-p5{
    text-align: center;
    display: block;
    margin: auto auto;
}

.action_button {
    border: 1px solid black;      display: inline-block;
    border-radius: 3px;             padding: 5px 5px;
    cursor: pointer;                margin: 0 auto;
    font-size: 16px;                font-weight: bold;
    width: calc(50% - 4px);
}

#btn-primary {
    background-color: #999;     display: block;
    margin-left: auto;            margin-right: auto;
    padding: 2px 3px;             border-radius: 6px;
}
#button_pour{background-color: #90FF90;}
#button_stop{background-color: #FEA69D;}

.buttons{
    margin: 0 auto;     width: 420px;
    font-size: 16px;    font-weight: bold;
}

#cocktail-image{
    text-align: center;
    display: block;
    margin: auto auto;
}

.div_results{
    display:block;      margin: auto auto;  width: 220px;
    font-size: 16px;    font-weight: bold;
}



.button_results {
    background-color: #59D;     cursor: pointer;
    border: 1px solid black;    border-radius: 3px;
    display: block;               margin: auto auto;
    font-size: 16px;              font-weight: bold;
    padding: 5px 5px;
}
.button_toggle_instruct_table, .button_toggle_mult_choice{
    background-color: #BBB;     display: block;
    border-radius: 3px;           padding: 15px 25px;
    cursor: pointer;
    margin-left: auto;            margin-right: auto;
}
input{
    flex: 1;                    height: 50px;
    background: transparent;    border: 0;
    outline: 0;                 font-size: 18px;
    color: #333;
}

#MC_table{
    table-layout:fixed;         word-wrap:break-word;
    border-collapse: separate;  border-spacing: 10px 10px;
    cursor: pointer;
}
#MC_table td {
    background-color: #AADDEE;      padding: 30px 30px;
    border: 1px solid black;        border-radius: 10px;
    text-align: center;               width: 250px;
}
#guess_table th,#guess_table td, #instruct_table th,#instruct_table td {
    border:double; /*dashed, dotted, double, solid */
    /* z-index: -1; */
}
/* Could be deprecated - this was an artifact of displaying ABV in a column */
th:nth-child(6), td:nth-child(6) {
    text-align:center;
}
#guess_table, #instruct_table {border: 1px solid black;}
table {
    max-height: 300px;      padding: 5px 5px;
    table-layout: fixed;    /* width: 800px; */
    margin-left: auto;      margin-right: auto;
    /* font-family: Arial, Helvetica, sans-serif; */
}
#instruct_table {margin-top: 30px;}
.btn-primary, h7{
    display: block;         padding: 2px 3px;
    margin-left: auto;      margin-right: auto;
    border-radius: 6px;
}
.search-box{
    background: #eee;     margin: 5px auto;
    border-radius: 5px;     border: 1px solid black;
    padding: 5px 15px;
}
#search_table th,#search_table td, #instruct_table th,#instruct_table td {
    /* background: #fff !important; */
    border: solid; /*dashed, dotted, double, solid */
    z-index: -1;
    padding: 8px 10px;
}
#search_table{border: 1px solid black; margin-top: 60px;}
button{
    background: transparent;
    border: 0;      outline: 0;
}
/* This button was used to toggle Multiple Choice Options. Could deprecate */
#button_toggle{
    border-radius: 3px;
    padding: 4px 4px;
    cursor: pointer;
    margin-left: auto;
    margin-right: auto;
}
/* This never worked right - I wanted the box to be highlighted green when hovering over it */
.result-box li :hover{background: green;}

.button_toggle_instruct_table, .button_toggle_mult_choice{
    display: block;     border-radius: 3px;     padding: 15px 25px;     cursor: pointer;
    margin-left: auto;  margin-right: auto;     background-color: #BBB;
}

#random-button{
    text-align: center;     width: 100px;
    border-radius: 3px;     border: 1px solid black;
    padding: 4px 4px;       background-color: #dff; 
    margin-left: auto;      margin-right: auto;
    cursor: pointer;
}


#results_table td, #results_table th {
    border: 1px solid black;    padding: 10px 10px;
    border-radius: 10px;          text-align: center;
}
.result-box ul{
    max-height: 150px;
    border-top: 1px solid #999;
    padding: 1px 7px;
    overflow-y: scroll;
}
.result-box li{
    max-height: 100px;
    list-style: none;
    border-radius: 3px;
    padding: 4px 4px;
    cursor: pointer;
}

.result-box li :hover{
    background: green;
}






#play_options_table td,  #play_options_table th {
    width: 180px;
}
#bottom_options_table td,#bottom_options_table th{
    width: 120px;
}

#play_options_table th, #bottom_options_table th{
    background-color: mediumseagreen;
    border: 1px solid black;
    padding: 30px 30px;
    border-radius: 20px;
    text-align: center;
}
#play_options_table, #bottom_options_table{
    table-layout:fixed;
    word-wrap:break-word;
    border-collapse: separate;
    border-spacing: 10px 10px;
    cursor: pointer;
}
#play_options_table td{
    background-color: lightyellow;
}
#bottom_options_table td{
    background-color: lightgrey;
}

#bottom_options_table td{
    border: 1px solid black;
    padding: 10px 5px;
    border-radius: 20px;
    text-align: center;
}
#play_options_table td {
    border: 1px solid black;
    padding: 20px 20px;
    border-radius: 10px;
    text-align: center;
}





#quote_message{
    display:block;      margin: auto auto;
    padding-left:20%;   padding-right:20%;
}



/* <============> */
/* MOBILE BS BELOW - 
LIKELY DEPRECATING ONCE THE 
MOVE TO REACT IS UNDERWAY */
/* <============> */

@media screen and (max-width: 499px) {
    /* MOBILE SCREEN FIX */
    .button_results {
        border: 1px solid black;        border-radius: 3px;
        background-color: #59D;         display: block;     cursor: pointer;
        margin: auto auto;                padding: 5px 5px;           
        font-size: 16px;                  font-weight: bold;
    }
    #cocktail-image{transform: translate(-45px, 0);}
    h5 {font-size: 16px;}
    h6 {font-size: 14px; font:italic;} 
    .search-box{font-size: 16px;    width: 200px;   margin-top: 50px;}
    .row{display: flex;      align-items: center;    padding: 5px 10px; /* padding: 10px 20px; */    }
    .result-box ul{
        max-height: 150px;      border-top: 1px solid #999;
        padding: 1px 7px;       overflow-y: scroll;
    }
    .result-box li{
        max-height: 100px;  list-style: none;
        border-radius: 3px; padding: 4px 4px;   cursor: pointer;
    }
    td {padding: 1px 2px;}
    #guess_table { margin-top: 60px;   max-width: 80%; }
    #guess_table, #instruct_table {font-size: 12px;}
    .btn-primary {
        display: block;      background-color: #999;
        margin-top: 80px;    margin-left: auto;    margin-right: auto;
        padding: 2px 3px;    border-radius: 6px;
    }
}

@media screen and (min-width: 500px) {
    /* NON-MOBILE SCREENS */
    #cocktail-image{ transform: translate(-15px, 0); }
    .search-box{ width: 300px; }
    h5 { font-size: 18px;}
    h6 { font-size: 16px;    font:italic; }
    .result-box ul{ max-height: 200px;  overflow-y: scroll; }
    .result-box ul{ max-height: 150px;  border-top: 1px solid #999;  padding: 15px 10px; }

    .result-box li{
        max-height: 100px;      list-style: none;
        border-radius: 3px;     padding: 7px 10px;      cursor: pointer; 
    }
    td { padding: 1px 5px; }
    #guess_table { margin-top: 30px;    max-width: 1300px; }
    .btn-primary, h7{
        display: block;     border-radius: 6px;
        margin-left: auto;  margin-right: auto;
        padding: 2px 3px;
    }
}



/* TRASH???? */

#guess_table th,#guess_table td, #instruct_table th,#instruct_table td {
    /* background: #fff !important; */
    border:double; /*dashed, dotted, double, solid */
    z-index: -1;
}


/* 
.image{
    width:500;   height:280;  display: block;
    margin-left: auto;  margin-right: auto;     z-index: 1;
} 


    #search_table {
        margin-top: 60px;
        max-width: 80%;
    }
    #search_table, #instruct_table {
        font-size: 12px;
    }
    
    
.menu-button{
    font-size: 32px;    background-color: lightgreen; 
    display: block;     margin-left: auto;  margin-right: auto;
    padding: 2px 3px;   border-radius: 6px;
}
#random-button{
    text-align: center;     width: 100px;
    background-color: #dff; border: 1px solid black;
    border-radius: 3px;     padding: 4px 4px;   cursor: pointer;
    margin-left: auto;      margin-right: auto;
}



.buttons{
    margin: 0 auto;
    width: 420px;
}
  
.action_button {
    display: inline-block;
    width: calc(50% - 4px);
    margin: 0 auto;
    background-color: #BBB;
    border-radius: 3px;
    padding: 5px 5px;
}
.button_toggle_instruct_table, .button_toggle_mult_choice{
    display: block;
    border-radius: 3px;
    padding: 15px 25px;
    cursor: pointer;
    margin-left: auto;
    margin-right: auto;
    background-color: #BBB;
}

#search_table th,#search_table td, #instruct_table th,#instruct_table td {
    border: solid; 
    z-index: -1;
    padding: 8px 10px;
}
#search_table, #instruct_table {
    border: 1px solid black;
}
#search_table {
        margin-top: 30px;
        max-width: 1300px;
}



#button_toggle, #random-button{
    border-radius: 3px;
    padding: 4px 4px;
    cursor: pointer;
    margin-left: auto;
    margin-right: auto;
}





*/

